%define pkg_name        RDF-Notation3
%define pkg_version     0.91
%define rpm_pkg_version 0.91
%define rpm_pkg_release 1.n0i.4

Summary:       RDF Notation3 parser
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PC/PCIMPRICH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::SAX)
BuildRequires: perl(RDF::Core)
BuildRequires: perl(RDFStore)


%description
This module is an RDF/N3 parser; it can parse N3 files or strings and provide
results in whatever format (as far as there are subclasses supporting your
desired format available).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes doc/ examples/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.91-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8
- version 0.91

* Fri Jul 29 2005 Marius Feraru <altblue@n0i.net> 0.90-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.90-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:0.90-1.n0i.1
- version 0.90
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101
